QGIS Application - Feature request #12059
WFS: DWithin support
2015-01-26 07:06 AM - Jeffrey Bostoen

Status: Open

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20261
Description

It would be great to have DWithin support for WFS-requests.

QGis can already buffer, so this shouldn't be had to implement?

History

#1 - 2015-01-26 07:12 AM - Jeffrey Bostoen

(mistake, sorry)

#2 - 2015-01-30 04:55 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category set to Web Services clients/WFS

How this would work from the user/gui point of view?

#3 - 2015-02-02 06:31 AM - Jeffrey Bostoen
Perhaps this might add more info:

- https://wiki.state.ma.us/confluence/display/massgis/GeoServer+-+WFS+-+Filter+-+DWithin

From the GUI in QGis client, | just imagine the ability of doing a spatial selection, similar to the existing ones. Probably similar to intersect (after performing

a buffer)?

#4 - 2015-02-03 03:18 AM - Giovanni Manghi
- Status changed from Feedback to Open

Jeffrey Bostoen wrote:

Perhaps this might add more info: - https.//wiki.state.ma.us/confluence/display/massgis/GeoServer+-+WFS+-+Filter+-+DWithin

From the GUI in QGis client, | just imagine the ability of doing a spatial selection, similar to the existing ones. Probably similar to intersect (after

performing a buffer)?

| can't see how do achieve that in the wfs client as it is implemented now, but of course anything could be done :)
#5 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
